
Core - Bug # 27971

Status: Rejected Priority: Must have
Author: Georg Ringer Category: Backend API
Created: 2011-07-08 Assigned To:
Updated: 2011-10-17 Due date:
TYPO3 Version: 4.6
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: xliff removed hook to override locallangs
Description

There was a hook in t3lib_div::readLLFile() to override any locallang file by another one. The additional locallang is merged with the
existing one which is very nice feature to override just one label.

as the l10n changed a lot with xliff, it is not just a copy paste to get hook working again.
previous hook was this

$overrides = array();
            $fileRefWithoutExtension = preg_replace('/\.(php|xml)$/', '', $fileRef);

            if (is_array($GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride'][$fileRefWithoutExtension . '.php'])) {
                $overrides = array_merge($overrides,
$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride'][$fileRefWithoutExtension . '.php']);
            }
            if (is_array($GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride'][$fileRefWithoutExtension . '.xml'])) {
                $overrides = array_merge($overrides,
$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride'][$fileRefWithoutExtension . '.xml']);
            }

            if (count($overrides) > 0) {
                foreach ($overrides as $overrideFile) {
                    $languageOverrideFileName = self::getFileAbsFileName($overrideFile);
                    if (@is_file($languageOverrideFileName)) {
                        $languageOverrideArray = self::readLLXMLfile($languageOverrideFileName, $langKey, $charset);
                        $LOCAL_LANG = self::array_merge_recursive_overrule($LOCAL_LANG, $languageOverrideArray);
                    }
                }
            }

Related issues:
duplicates Core - Bug # 27923: locallangXMLOverride hook has been removed Closed 2011-07-06

History
#1 - 2011-08-21 14:52 - Susanne Moog

Georg is this a duplicate of #27923?
#2 - 2011-08-21 14:55 - Christian Kuhn
- Status changed from Accepted to Needs Feedback

#3 - 2011-08-21 14:56 - Christian Kuhn

This was solved afaik, and the unit test that was created for the hook in the first place runs as well again.

#4 - 2011-08-21 20:37 - Steffen Gebert
- Status changed from Needs Feedback to Closed

Fixed with #27923

#5 - 2011-08-21 20:38 - Steffen Gebert
- Status changed from Closed to Needs Feedback

Well, let's wait for Georg's statement :)

#6 - 2011-10-17 20:52 - Steffen Gebert
- Status changed from Needs Feedback to Rejected

Closed due to no feedback
